Subject: Lentils Ole
From: [email-masked] (Sharon Raghavachary)
Date: 28 Jun 1996 19:59:08 -0600
Newsgroups: rec.food.recipes

MMMMM----- Recipe via Meal-Master (tm) v8.02
 
      Title: LENTILS OLE
 Categories: Beans/etc., Low-fat
      Yield: 4 servings
 
      1 c  Lentils
      3 c  Water
    1/2 c  Chopped scallions (green &
           White parts), or onion
           (either is good)
    1/2 c  Green peppers, diced
    1/2 c  Red peppers, diced
      1 tb Chili powder (adjust to
           Taste, esp. if you use spicy
           Chili powder)
    1/2 ts Cumin seeds, crushed (what I
           Use) or 1 tsp ground cumin
      4    Cloves minced garlic
      1    To 2 TBSP red wine vinegar
      1    8 oz can tomato sauce
      1 tb Molasses
 
  Bring the lentils and water to a boil, then cover & simmer for about
  25 - 30 minutes until soft but not mushy. While the lentils cook,
  saute the scallions, peppers, garlic, chili powder and cumin in 1
  TBSP vinegar until the vegetables are limp (about 2 mins). (NB: I do
  use a nonstick pan for this step.) Add tomato sauce and molasses,
  cook for 1 minute (scrape the stuck pieces off the pan), taste and
  add more vinegar if needed (I usually add another TBSP). Add mixture
  to lentils and cook until heated through.
  
  Great over rice, or maybe as a burrito or taco filling (recommend
  using less than 3c. water then, since this comes out very sauce-y).
  
  Source: Jane Brody Good Food Gourmet
 
MMMMM

~~~
Rec.food.recipes is moderated; only recipes and recipe requests are accepted
for posting.  Please read the "Posting Guidelines" article.  Recipes/requests
go to [email-masked]; questions/comments go to [email-masked].  
Please allow several days for your submission to appear.